using System;
using System.Collections.Generic;
using AutoMapper.SourceModel;
using AutoMapper.TargetModel;

namespace AutoMapper
{
    class Program
    {
        static void Main(string[] args)
        {
            var osoba = new Osoba
            {
                Imie = "Jan",
                Nazwisko = "Kowalski",
                Email = "jk@com.pl",
                BirthDate = new DateTime(1990, 1, 3),
                Adresy = new List<Adres>()
                {
                    new Adres {KodPocztowy = "11-111", Miasto = "Wrocław", Ulica = "Narożna"},
                    new Adres {KodPocztowy = "22-222", Miasto = "Warszawa", Ulica = "Pokątna"}
                }
            };

            Mapper.Initialize(cfg =>
            {
               cfg.CreateMap<Osoba, OsobaListaDto>()
                .ForMember(dest => dest.Age, opt => opt.MapFrom(e => DateTime.Now.Year - e.BirthDate.Year));
            });

            var osobadto = Mapper.Map<Osoba, OsobaListaDto>(osoba);
        }
    }
}
